Bug 231629

Summary: [exp-run] graphics/gdal: update to 2.4.0
Product: Ports & Packages Reporter: Sunpoet Po-Chuan Hsieh <sunpoet>
Component: Individual Port(s)Assignee: Sunpoet Po-Chuan Hsieh <sunpoet>
Status: Closed FIXED    
Severity: Affects Only Me CC: chitty_cloud, pi, wenheping2000
Priority: --- Flags: antoine: exp-run+
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://people.FreeBSD.org/~sunpoet/patch/graphics-gdal-v2.txt
Attachments:
Description Flags
patch-to-2.4.0 pi: maintainer-approval?

Description Sunpoet Po-Chuan Hsieh freebsd_committer 2018-09-23 11:38:01 UTC
Update to 2.3.1

- Update MASTER_SITES
- Add ZSTD option

Changes:        https://trac.osgeo.org/gdal/wiki/Release/2.3.0-News
                https://trac.osgeo.org/gdal/wiki/Release/2.3.1-News
Comment 2 wen 2018-11-20 03:32:24 UTC
Hi, sunpoet@:

 1 gdal-2.3.2 realesed after this PR.
 2 Would you have a look of 
   https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=224004

Thanks !

wen
Comment 3 kunda 2018-12-22 13:13:35 UTC
gdal 2.4.0 has been released
https://trac.osgeo.org/gdal/wiki/Release/2.4.0-News
Comment 4 Kurt Jaeger freebsd_committer 2019-01-01 18:44:51 UTC
Created attachment 200680 [details]
patch-to-2.4.0

Testbuilds look fine on 13@r340445
Comment 5 Kurt Jaeger freebsd_committer 2019-01-02 06:34:57 UTC
testbuilds failed for those dependent ports:

astro/qlandkartegt:build
cad/sumo:configure
databases/postgis21:build
databases/postgis20:build
databases/postgis22:build
graphics/qgis:package (this is a well-known qgis problem)
Comment 6 Kurt Jaeger freebsd_committer 2019-01-02 18:27:28 UTC
(In reply to Kurt Jaeger from comment #5)

cad/sumo: configure: error: gtest-includes not found.
  does not look like it's gdal-related

astro/qlandkartegt: It's basically on-hold upstream, sucessor is
  astro/qmapshack
  https://bitbucket.org/maproom/qmapshack/wiki/Home

The postgis failures: I don't understand those.
See
  https://people.freebsd.org/~pi/logs/postgis20-2.0.7_6.log
  https://people.freebsd.org/~pi/logs/postgis21-2.1.8_3.log
  https://people.freebsd.org/~pi/logs/postgis22-2.2.6_3.log
Comment 7 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-01-06 20:56:43 UTC
Patch updated. Please do exp-run again. Thanks!
Comment 8 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-01-09 14:55:50 UTC
(In reply to Kurt Jaeger from comment #6)

I did test with postgis{20,21,22} using my patch and it builds fine. I also include patch for failures (excluding qlandkartegt) in comment #1.
Let's see the exp-run result. Thanks!
Comment 9 Antoine Brodin freebsd_committer 2019-01-10 16:53:23 UTC
Exp-run looks fine.
Comment 10 commit-hook freebsd_committer 2019-01-11 20:17:09 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Jan 11 20:16:52 UTC 2019
New revision: 489995
URL: https://svnweb.freebsd.org/changeset/ports/489995

Log:
  Update to 2.4.0

  - Update MASTER_SITES
  - Add ZSTD option

  Changes:	https://trac.osgeo.org/gdal/wiki/Release/2.3.0-News
  		https://trac.osgeo.org/gdal/wiki/Release/2.3.1-News
  		https://trac.osgeo.org/gdal/wiki/Release/2.3.2-News
  		https://trac.osgeo.org/gdal/wiki/Release/2.3.3-News
  		https://trac.osgeo.org/gdal/wiki/Release/2.4.0-News
  PR:		231629
  Exp-run by:	antoine

Changes:
  head/graphics/R-cran-rgdal/Makefile
  head/graphics/gdal/Makefile
  head/graphics/gdal/distinfo
  head/graphics/gdal/files/patch-apps_GNUmakefile
  head/graphics/gdal/files/patch-frmts-mrf-mrf_band.cpp
  head/graphics/gdal/files/patch-frmts-pdf-pdfdataset.cpp
  head/graphics/gdal/files/patch-frmts-pdf-pdfobject.cpp
  head/graphics/gdal/files/patch-ogr-ogrsf_frmts-cad-libopencad-cadheader.cpp
  head/graphics/gdal/files/patch-ogr-ogrsf_frmts-cad-libopencad-cadheader.h
  head/graphics/gdal/files/patch-ogr-ogrsf_frmts-cad-libopencad-opencad.h
  head/graphics/gdal/pkg-plist
  head/graphics/py-fiona/files/
  head/graphics/py-fiona/files/patch-setup.py
  head/math/R-cran-sf/Makefile
Comment 11 commit-hook freebsd_committer 2019-01-11 20:17:12 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Jan 11 20:16:57 UTC 2019
New revision: 489996
URL: https://svnweb.freebsd.org/changeset/ports/489996

Log:
  Update to 2.4.0

  - Update MASTER_SITES

  Changes:	https://trac.osgeo.org/gdal/wiki/Release/2.3.0-News
  		https://trac.osgeo.org/gdal/wiki/Release/2.3.1-News
  		https://trac.osgeo.org/gdal/wiki/Release/2.3.2-News
  		https://trac.osgeo.org/gdal/wiki/Release/2.3.3-News
  		https://trac.osgeo.org/gdal/wiki/Release/2.4.0-News
  PR:		231629
  Exp-run by:	antoine

Changes:
  head/graphics/p5-Geo-GDAL/Makefile
  head/graphics/p5-Geo-GDAL/distinfo
Comment 12 commit-hook freebsd_committer 2019-01-11 20:17:14 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Jan 11 20:17:02 UTC 2019
New revision: 489997
URL: https://svnweb.freebsd.org/changeset/ports/489997

Log:
  Update to 2.4.0

  - Update MASTER_SITES

  Changes:	https://trac.osgeo.org/gdal/wiki/Release/2.3.0-News
  		https://trac.osgeo.org/gdal/wiki/Release/2.3.1-News
  		https://trac.osgeo.org/gdal/wiki/Release/2.3.2-News
  		https://trac.osgeo.org/gdal/wiki/Release/2.3.3-News
  		https://trac.osgeo.org/gdal/wiki/Release/2.4.0-News
  PR:		231629
  Exp-run by:	antoine

Changes:
  head/graphics/py-gdal/Makefile
  head/graphics/py-gdal/distinfo
  head/graphics/py-gdal/pkg-plist
Comment 13 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-01-11 20:20:24 UTC
Committed. Thanks!